#include <string.h>
#include <stdio.h>

#include <util/delay.h>
#include <avr/io.h>

#include "usart.h"
#include "mpl3115a2.h"
#include "twi.h"

#define PM_BAUD 9600

int main()
{
	// Initialize USART for writing to serial console.
	USART0_init(CALC_USART_UBRR(PM_BAUD));
	USART0_use_stdio();

	// Initialize MPL3115A2 sensor
	twi_init();

	twi_discover();
	mpl3115a2_init();

	while (1)
	{
		uint32_t pressure;
		uint8_t temperature;

		mpl3115a2_read_pressure(&pressure);
		mpl3115a2_read_temperature(&temperature);

		printf("Pressure: %lu Pa\nTemperature: %hhu C\n", pressure, temperature);
		_delay_ms(1000);
	}

	return 0;
}
